From 1e74fcabb161107c82d737ab6c2184ea05da97e3 Mon Sep 17 00:00:00 2001
From: Sebastian Poeplau <sebastian.poeplau@eurecom.fr>
Date: Tue, 25 Jun 2019 11:36:16 +0200
Subject: [PATCH] Build the binaries for 64-bit systems

---
 CMakeLists.txt    | 11 ++++++-----
 exclude/linux.txt |  9 +++++++++
 2 files changed, 15 insertions(+), 5 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 789e87ba..81a698aa 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -56,13 +56,13 @@ else(WIN32)
     add_compile_options(
         -fno-builtin
         -w
-        -g3
-        -m32
+        -ggdb
+        # -m32
     )
 
     # Link everything 32-bit (until we have a 64-bit option)
-    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -m32")
-    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -m32")
+    # set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -m32")
+    # set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -m32")
 
     # Linker options
     # Dynamic by default
@@ -192,7 +192,8 @@ add_definitions(
 )
 
 if(LINUX)
-    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -z execstack -z norelro")
+  # set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -z execstack -z norelro")
+  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,execstack -Wl,-z,norelro")
 endif()
 
 file(GLOB challenge_binaries challenges/*)
diff --git a/exclude/linux.txt b/exclude/linux.txt
index d8c177f3..8e1865f8 100644
--- a/exclude/linux.txt
+++ b/exclude/linux.txt
@@ -1,3 +1,12 @@
 adventure_game
 CAT
 SBTP
+Blubber
+CML
+Charter
+FUN
+FailAV
+Messaging_2
+Messaging
+PTaaS
+ValveChecks
-- 
2.23.0

